gdlmm: Gdl::DockBar Class Reference

# Gdl::DockBar Class Reference

Inherits Gtk::Box.

Collaboration diagram for Gdl::DockBar:
[legend]

List of all members.

## Public Member Functions
virtual | ~DockBar ()
GdlDockBar* | gobj ()
| Provides access to the underlying C GtkObject.
const GdlDockBar* | gobj () const
| Provides access to the underlying C GtkObject.
| DockBar (Dock& dock)
Gtk::Orientation | get_orientation () const
void | set_orientation (Gtk::Orientation orientation)
void | set_style (DockBarStyle style)
DockBarStyle | get_style () const
Glib::PropertyProxy< DockBarStyle > | property_dockbar_style ()
| Style de barre d'objet détachable sur laquelle afficher les éléments.
Glib::PropertyProxy_ReadOnly < DockBarStyle > | property_dockbar_style () const
| Style de barre d'objet détachable sur laquelle afficher les éléments.
Glib::PropertyProxy < Glib::RefPtr< DockMaster > > | property_master ()
| Objet GdlDockMaster auquel le composant graphique de barre détachable est lié.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< DockMaster > > | property_master () const
| Objet GdlDockMaster auquel le composant graphique de barre détachable est lié.
## Related Functions
(Note that these are not member functions.)
Gdl::DockBar* | wrap (GdlDockBar* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdl::DockBar::~DockBar | ( |  | ) | `[virtual]`

Gdl::DockBar::DockBar | ( | Dock& | dock | ) |

## Member Function Documentation

Gtk::Orientation Gdl::DockBar::get_orientation | ( |  | ) | const

DockBarStyle Gdl::DockBar::get_style | ( |  | ) | const

const GdlDockBar* Gdl::DockBar::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

GdlDockBar* Gdl::DockBar::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Glib::PropertyProxy_ReadOnly<DockBarStyle> Gdl::DockBar::property_dockbar_style | ( |  | ) | const

Style de barre d'objet détachable sur laquelle afficher les éléments.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<DockBarStyle> Gdl::DockBar::property_dockbar_style | ( |  | ) |

Style de barre d'objet détachable sur laquelle afficher les éléments.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<DockMaster> > Gdl::DockBar::property_master | ( |  | ) | const

Objet GdlDockMaster auquel le composant graphique de barre détachable est lié.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<DockMaster> > Gdl::DockBar::property_master | ( |  | ) |

Objet GdlDockMaster auquel le composant graphique de barre détachable est lié.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gdl::DockBar::set_orientation | ( | Gtk::Orientation | orientation | ) |

void Gdl::DockBar::set_style | ( | DockBarStyle | style | ) |

## Friends And Related Function Documentation

Gdl::DockBar* wrap | ( | GdlDockBar * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdlmm/dockbar.h